## python-h2 4.0.0

=== Makefile ===
.PHONY: publish

publish:
	tox -e packaging
	twine upload -s dist/*

## python-h2 2.4.1

=== debian/changelog ===
python-h2 (2.4.1-1) unstable; urgency=low

  * New package (Closes: #836359)

 -- Sebastien Delafond <seb@debian.org>  Fri, 02 Sep 2016 08:22:19 +0200

=== debian/control ===
Source: python-h2
Section: python
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all, python-setuptools,
 python-pytest, python-hyperframe, python-hpack, python-enum34,
 python-hypothesis, python3-all, python3-setuptools, python3-pytest,
 python3-hypothesis, python3-hyperframe, python3-hpack
Standards-Version: 3.9.8
Homepage: https://pypi.python.org/pypi/h2
Vcs-Git: git://anonscm.debian.org/collab-maint/python-h2.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/python-h2.git

Package: python-h2
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Pure-Python HTTP/2 State-Machine based protocol implementation in python
 This module contains a pure-Python HTTP/2 of a HTTP/2 protocol
 stack. It’s written from the ground up to be embeddable in whatever
 program you choose to use, ensuring that you can speak HTTP/2
 regardless of your programming paradigm.

Package: python3-h2
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Pure-Python3 HTTP/2 State-Machine based protocol implementation in python
 This module contains a pure-Python HTTP/2 of a HTTP/2 protocol
 stack. It’s written from the ground up to be embeddable in whatever
 program you choose to use, ensuring that you can speak HTTP/2
 regardless of your programming paradigm.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=h2
export PYBUILD_TEST_ARGS="-k-test/test_rfc7838.py"

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

## python-h2 2.5.2

=== debian/changelog ===
python-h2 (2.5.2-1) unstable; urgency=medium

  * Imported Upstream version 2.5.2
  * Correct debian/watch

 -- Sebastien Delafond <seb@debian.org>  Fri, 27 Jan 2017 18:13:42 +0100

## python-h2 3.0.1

=== debian/changelog ===
python-h2 (3.0.1-1) unstable; urgency=medium

  * Imported Upstream version 3.0.1

 -- Sebastien Delafond <seb@debian.org>  Tue, 04 Jul 2017 14:49:55 +0200

=== debian/control ===
Source: python-h2
Section: python
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all, python-setuptools,
 python-pytest, python-hyperframe (>= 5.0), python-hpack, python-enum34,
 python-hypothesis, python3-all, python3-setuptools, python3-pytest,
 python3-hypothesis, python3-hyperframe, python3-hpack
Standards-Version: 3.9.8
Homepage: https://pypi.python.org/pypi/h2
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-h2.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/python-h2.git

Package: python-h2
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Pure-Python HTTP/2 State-Machine based protocol implementation in Python
 This module contains a pure-Python HTTP/2 of a HTTP/2 protocol
 stack. It’s written from the ground up to be embeddable in whatever
 program you choose to use, ensuring that you can speak HTTP/2
 regardless of your programming paradigm.

Package: python3-h2
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Pure-Python3 HTTP/2 State-Machine based protocol implementation in Python
 This module contains a pure-Python HTTP/2 of a HTTP/2 protocol
 stack. It’s written from the ground up to be embeddable in whatever
 program you choose to use, ensuring that you can speak HTTP/2
 regardless of your programming paradigm.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=h2
export PYBUILD_TEST_ARGS=-k-test/test_rfc7838.py -k-test/test_invalid_headers.py

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/h2/h2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-h2 3.1.1

=== debian/changelog ===
python-h2 (3.1.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 3.1.1
  * Update Standards-Version to 4.5.0
  * Change to debhelper-compat
  * Bump debhelper to 12
  * Add Rules-Requires-Root: no
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * Add d/python3-h2.links to remove duplicated files.
  * Add autopkg testsuite.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Wed, 29 Jan 2020 17:14:37 +0100

python-h2 (3.0.1-5) unstable; urgency=medium

  * Set maintainer to Debian QA Group
  * Remove python2 package

 -- Sebastien Delafond <seb@debian.org>  Fri, 20 Dec 2019 17:48:20 +0100

python-h2 (3.0.1-4) unstable; urgency=medium

  * Update Vcs-* to point to salsa.d.o
  * Add examples/ directory to python3 package

 -- Sebastien Delafond <seb@debian.org>  Fri, 30 Mar 2018 16:30:24 +0200

python-h2 (3.0.1-3) unstable; urgency=medium

  * Switch to DEP 14
  * Bump up Standards-Version
  * Use https for DEP-5 URL
  * changelog

 -- Sebastien Delafond <seb@debian.org>  Fri, 16 Feb 2018 17:56:29 +0100

python-h2 (3.0.1-2) unstable; urgency=medium

  * Don't install Hypothesis example database into binary package
    (Closes: #885658).

 -- Sebastien Delafond <seb@debian.org>  Mon, 01 Jan 2018 14:20:10 +0100

=== debian/control ===
Source: python-h2
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-pytest,
 python3-hypothesis,
 python3-hyperframe,
 python3-hpack
Standards-Version: 4.5.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://pypi.python.org/pypi/h2
Vcs-Git: https://salsa.debian.org/debian/python-h2.git
Vcs-Browser: https://salsa.debian.org/debian/python-h2

Package: python3-h2
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Pure-Python3 HTTP/2 State-Machine based protocol implementation in Python
 This module contains a pure-Python HTTP/2 of a HTTP/2 protocol
 stack. It’s written from the ground up to be embeddable in whatever
 program you choose to use, ensuring that you can speak HTTP/2
 regardless of your programming paradigm.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=h2
export PYBUILD_TEST_ARGS=-k-test/test_rfc7838.py -k-test/test_invalid_headers.py
# Don't install Hypothesis example database into binary package.

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

=== debian/tests/control ===
Tests: python3-h2-upstream
Depends: @, python3-pytest, python3-hypothesis

## python-h2 3.2.0

=== debian/changelog ===
python-h2 (3.2.0-2) unstable; urgency=medium

  [ Emmanuel Arias ]
  * d/tests/control: Fix autopkgtest to test all
    supported python3 versions (Closes: #954474).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 28 Mar 2020 14:01:21 +0100

python-h2 (3.2.0-1) unstable; urgency=medium

  * New upstream release (Closes: #947010).
  * Adopt the package.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 15 Mar 2020 11:56:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: python-h2
 Section: python
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders:
+ Andrej Shadura <andrewsh@debian.org>
 Build-Depends: debhelper-compat (= 12),
  dh-python,
  python3-all,

## python-h2 4.0.0

=== debian/changelog ===
python-h2 (4.0.0-3+deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the Debian LTS team.
  * d/patches/CVE-2025-57804.patch: Add patch to fix CVE-2025-57804.
    - An HTTP/2 request splitting vulnerability that allows attackers to
      perform request smuggling attacks by injecting CRLF characters into
      headers has been fixed (closes: #1112348).

 -- Daniel Leidert <dleidert@debian.org>  Tue, 02 Sep 2025 17:40:04 +0200

python-h2 (4.0.0-3) unstable; urgency=medium

  * Drop the non-working and unnecessary test exclusions
    (actually closes: #977088).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 06 Jan 2021 15:24:32 +0100

python-h2 (4.0.0-2) unstable; urgency=medium

  * Use "not" with -k, not "-" for pytest 6 compatibility
    (Closes: #977088).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 04 Jan 2021 09:48:28 +0100

python-h2 (4.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andrej Shadura ]
  * New upstream release.
  * Update gbp.conf.
  * Update copyright years.
  * Bump build dependencies.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 29 Nov 2020 10:08:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-h2
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>
 Build-Depends: debhelper-compat (= 12),
@@ -10,14 +10,14 @@
  python3-setuptools,
  python3-pytest,
  python3-hypothesis,
- python3-hyperframe,
- python3-hpack
+ python3-hyperframe (>= 6.0),
+ python3-hpack (>= 4.0)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://pypi.python.org/pypi/h2
-Vcs-Git: https://salsa.debian.org/debian/python-h2.git
-Vcs-Browser: https://salsa.debian.org/debian/python-h2
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-h2.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-h2
 
 Package: python3-h2
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=h2

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

=== debian/tests/control ===
Tests: python3-h2-upstream
Depends: @, python3-pytest, python3-hypothesis, python3-all

## python-h2 4.1.0

=== debian/changelog ===
python-h2 (4.1.0-3ubuntu1) jammy; urgency=medium

  * Remove deadline from test_changing_max_frame_size to
    avoid autopkgtest failure on armhf

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 25 Jan 2022 05:59:12 +0000

python-h2 (4.1.0-3) unstable; urgency=medium

  * debian/tests/control
    - tighten d on hypothesis to >= 6.35.0

 -- Sandro Tosi <morph@debian.org>  Mon, 24 Jan 2022 00:15:25 -0500

python-h2 (4.1.0-2) unstable; urgency=medium

  * debian/control
    - tighten b-d on hypothesis to >= 6.35.0

 -- Sandro Tosi <morph@debian.org>  Tue, 18 Jan 2022 23:05:42 -0500

python-h2 (4.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Mon, 17 Jan 2022 23:26:08 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-h2
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>
 Build-Depends: debhelper-compat (= 12),
@@ -9,7 +10,7 @@
  python3-all,
  python3-setuptools,
  python3-pytest,
- python3-hypothesis,
+ python3-hypothesis (>= 6.35.0),
  python3-hyperframe (>= 6.0),
  python3-hpack (>= 4.0)
 Standards-Version: 4.5.0

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/h2/h2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-h2 4.2.0

=== debian/changelog ===
python-h2 (4.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.2.0
  * Use pybuild-plugin-pyproject
  * Remove old patch

 -- Alexandre Detiste <tchet@debian.org>  Wed, 26 Mar 2025 10:08:53 +0100

python-h2 (4.1.0-4) unstable; urgency=medium

  * Team upload.
  * Add patch for Python 3.11 (Closes: #1025103)
  * Switch to dh-sequence
  * Bump policy and debhelper version (no changes)
  * Update Homepage

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 02 Dec 2022 08:24:30 +0100

## python-h2 4.3.0

=== debian/changelog ===
python-h2 (4.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.3.0.
    - Fix CVE-2025-57804 (closes: #1112348).

 -- Daniel Leidert <dleidert@debian.org>  Sun, 26 Oct 2025 02:02:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: python-h2
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>
-Build-Depends: debhelper-compat (= 12),
- dh-python,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-pytest,
  python3-hypothesis (>= 6.35.0),
  python3-hyperframe (>= 6.0),
  python3-hpack (>= 4.0)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
-Homepage: https://pypi.python.org/pypi/h2
+Homepage: https://github.com/python-hyper/h2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-h2.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-h2

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=h2

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst
